STRUCT TEMPLATE CH(3)

NAME
boost::proto::result_of::child - A metafunction that returns the type of the Nth child of a Proto expression, where N is an MPL Integral Constant.

SYNOPSIS

// In header: <boost/proto/traits.hpp>
template<typename Expr, typename N = mpl::long_<0> >
struct child :  proto::result_of::child_c<Expr, N::value> {
};

DESCRIPTION

proto::result_of::child<Expr, N> is equivalent to proto::result_of::child_c<Expr, N::value>.